MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030198Community[OCCT] OCCT:Modeling Algorithmspublic2018-10-04 01:302018-10-14 13:56
Reportergalbramc 
Assigned Toapn 
PrioritynormalSeverityblock 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030198: Regression to 7.1.0: BRepAlgoAPI_Fuse unlimited memory usage
DescriptionCalling BRepAlgoAPI_Fuse with provided brep shapes uses apparently unlimited memory. I have 128 GB of RAM on my desktop and all of it is consumed. The provided brep objects fuse just fine with OCCT 6.8.0.

I tried to use valgrinds massif tool to hunt down where the memory consumption occurs, but I can't pin point where the algorithm appears to be stuck beyond continuously creating triangles as part of IntPolyth_Intersection.
Steps To ReproduceRun attached code.
TagsNo tags attached.
Test case numberbugs/modalg_7/bug30198
Attached Filestgz file icon memory_unbound.tgz (930,279 bytes) 2018-10-04 01:31

- Relationships

-  Notes
(0079675)
git (administrator)
2018-10-04 13:26

Branch CR30198 has been created by emv.

SHA-1: 0f703f02451fc5d6e1ce6fb757ffab5f50dc9210


Detailed log of new commits:

Author: emv
Date: Thu Oct 4 13:25:06 2018 +0300

    0030198: Regression to 7.1.0: BRepAlgoAPI_Fuse unlimited memory usage
    
    When refining the mesh to achieve required deflection (IntPolyh_Triangle::MultipleMiddleRefinement) limit the number of new triangles to avoid infinite loop.
    Test case for the issue.
(0079727)
emv (developer)
2018-10-05 15:32

Dear Mikhail, could you please review the git branch CR30198?

Test results - http://jenkins-test-12.nnov.opencascade.com/view/CR30198-master-emv/view/COMPARE/ [^]
(0079730)
msv (developer)
2018-10-05 16:00

Reviewed.
(0079787)
bugmaster (administrator)
2018-10-08 14:55
edited on: 2018-10-08 16:25

Combination -
OCCT branch : CR30198 SHA - 0f703f02451fc5d6e1ce6fb757ffab5f50dc9210
Products branch : master SHA - bdd0353fc53f9279cf9520705239af63f757c03a
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17389.149999999874 / 17401.889999999843 [-0.07%]
Products
Total CPU difference: 7436.750000000067 / 7431.600000000062 [+0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 17484.155277198555 / 17485.309684598556 [-0.01%]
Products
Total CPU difference: 8358.907982399993 / 8352.574341799986 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

(0079940)
git (administrator)
2018-10-14 13:56

Branch CR30198 has been deleted by inv.

SHA-1: 0f703f02451fc5d6e1ce6fb757ffab5f50dc9210

- Related Changesets
occt: master dce5b3eb
Timestamp: 2018-10-04 10:25:06
Author: emv
Committer: apn
Details ] Diff ]
0030198: Regression to 7.1.0: BRepAlgoAPI_Fuse unlimited memory usage

When refining the mesh to achieve required deflection (IntPolyh_Triangle::MultipleMiddleRefinement) limit the number of new triangles to avoid infinite loop.
Test case for the issue.
mod - src/IntPolyh/IntPolyh_Triangle.cxx Diff ] File ]
add - tests/bugs/modalg_7/bug30198 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-10-04 01:30 galbramc New Issue
2018-10-04 01:30 galbramc Assigned To => msv
2018-10-04 01:31 galbramc File Added: memory_unbound.tgz
2018-10-04 09:39 emv Summary BRepAlgoAPI_Fuse unlimited memory usage => Regression to 7.1.0: BRepAlgoAPI_Fuse unlimited memory usage
2018-10-04 09:48 msv Assigned To msv => emv
2018-10-04 09:48 msv Status new => assigned
2018-10-04 09:48 msv Target Version => 7.4.0*
2018-10-04 13:26 git Note Added: 0079675
2018-10-05 15:32 emv Note Added: 0079727
2018-10-05 15:32 emv Assigned To emv => msv
2018-10-05 15:32 emv Status assigned => resolved
2018-10-05 16:00 msv Note Added: 0079730
2018-10-05 16:00 msv Assigned To msv => bugmaster
2018-10-05 16:00 msv Status resolved => reviewed
2018-10-08 14:50 bugmaster Test case number => bugs/modalg_7/bug30198
2018-10-08 14:55 bugmaster Note Added: 0079787
2018-10-08 14:55 bugmaster Status reviewed => tested
2018-10-08 16:25 bugmaster Note Edited: 0079787 View Revisions
2018-10-13 16:01 apn Changeset attached => occt master dce5b3eb
2018-10-13 16:01 apn Assigned To bugmaster => apn
2018-10-13 16:01 apn Status tested => verified
2018-10-13 16:01 apn Resolution open => fixed
2018-10-14 13:56 git Note Added: 0079940


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker